package com.dgtis.data.service.controller;

import java.util.List;

import com.dgtis.common.core.web.controller.BaseController;
import com.dgtis.common.core.web.domain.AjaxResult;
import com.dgtis.common.core.web.page.TableDataInfo;
import com.dgtis.common.log.annotation.Log;
import com.dgtis.common.log.enums.BusinessType;
import com.dgtis.data.service.domain.InsuranceArrangement;
import com.dgtis.data.service.service.IInsuranceArrangementService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

/**
 * 保单Controller
 * 
 * @author dgtly
 * @date 2021-01-20
 */
@Controller
@RequestMapping("/insuranceArrangement")
public class InsuranceArrangementController extends BaseController
{
    @Autowired
    private IInsuranceArrangementService insuranceArrangementService;

    /**
     * 查询保单列表
     */

    @PostMapping("/list")
    @ResponseBody
    public TableDataInfo list(InsuranceArrangement insuranceArrangement)
    {
        startPage();
        List<InsuranceArrangement> list = insuranceArrangementService.selectInsuranceArrangementList(insuranceArrangement);
        return getDataTable(list);
    }


    @PostMapping("/listcount")
    @ResponseBody
    public AjaxResult num()
    {

        return AjaxResult.success(insuranceArrangementService.count());
    }

}
