package com.dgtis.data.service.domain;

import com.dgtis.common.core.annotation.Excel;
import com.dgtis.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import java.util.Date;

/**
 * 保单对象 InsuranceArrangement
 * 
 * @author dgtly
 * @date 2021-01-20
 */
public class InsuranceArrangement extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 保单ID */
    private String iaid;

    /** 保险单号 */
    @Excel(name = "保险单号")
    private String policyno;

    /** 投保单号 */
    @Excel(name = "投保单号")
    private String pano;

    /** 保险期限 */
    @Excel(name = "保险期限")
    private String agrmntage;

    /** 受益分配方式 */
    @Excel(name = "受益分配方式")
    private String pbinst;

    /** 承保分公司 */
    @Excel(name = "承保分公司")
    private String pwcomp;

    /** 起保日期 */
    @Excel(name = "起保日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date pindate;

    /** 终保日期 */
    @Excel(name = "终保日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date pmdate;

    /** 签单日期 */
    @Excel(name = "签单日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date pisdate;

    /** 投保日期 */
    @Excel(name = "投保日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date padate;

    /** 续保日期 */
    @Excel(name = "续保日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date renewaldate;

    /** 续保次数 */
    @Excel(name = "续保次数")
    private Long norenewal;

    /** 保单类型 */
    @Excel(name = "保单类型")
    private String policytype;

    /** 销售渠道 */
    @Excel(name = "销售渠道")
    private String schannel;

    /** 业务来源 */
    @Excel(name = "业务来源")
    private String bsource;

    /** 保单状态 */
    @Excel(name = "保单状态")
    private String policystate;

    /** 缴费类型 */
    @Excel(name = "缴费类型")
    private String topay;

    /** 缴费方式 */
    @Excel(name = "缴费方式")
    private String payment;

    /** 总保额 */
    @Excel(name = "总保额")
    private Double risk;

    /** 总保费 */
    @Excel(name = "总保费")
    private Double prem;

    /** 币种 */
    @Excel(name = "币种")
    private String currency;

    /** 下次缴费日期 */
    @Excel(name = "下次缴费日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date npdate;

    /** 被保人数 */
    @Excel(name = "被保人数")
    private Long soinsured;

    /** 基本保额 */
    @Excel(name = "基本保额")
    private Double bsinsured;

    /** 保单价值 */
    @Excel(name = "保单价值")
    private Double insurvalue;

    /** 投保人 */
    @Excel(name = "投保人")
    private String applicantid;

    /** 投保人名称 */
    @Excel(name = "投保人名称")
    private String appname;

    /** 投保人手机 */
    @Excel(name = "投保人手机")
    private String appphone;

    /** 投保人证件号码 */
    @Excel(name = "投保人证件号码")
    private String appcertid;

    /** 主被保险人 */
    @Excel(name = "主被保险人")
    private String insuredid;

    /** 主被保险人名称 */
    @Excel(name = "主被保险人名称")
    private String insname;

    /** 主被保险人手机 */
    @Excel(name = "主被保险人手机")
    private String insphone;

    /** 主被保险人证件号码 */
    @Excel(name = "主被保险人证件号码")
    private String inscertid;

    /** 险种代码 */
    @Excel(name = "险种代码")
    private String productid;

    /** 险种名称 */
    @Excel(name = "险种名称")
    private String productname;

    /** 业务员 */
    @Excel(name = "业务员")
    private String salesperson;

    /** 业务员名称 */
    @Excel(name = "业务员名称")
    private String spname;

    /** 所属保险账户 */
    @Excel(name = "所属保险账户")
    private String iaccount;

    /** 机构代码 */
    @Excel(name = "机构代码")
    private String branchcode;

    /** 业绩归属 */
    @Excel(name = "业绩归属")
    private String policybelong;

    /** 代理渠道 */
    @Excel(name = "代理渠道")
    private String agentchannel;

    /** 代理机构 */
    @Excel(name = "代理机构")
    private String agentorg;

    /** 户籍类型 */
    @Excel(name = "户籍类型")
    private String regtype;

    /** 个人年收入 */
    @Excel(name = "个人年收入")
    private Double pincome;

    /** 家庭年收入 */
    @Excel(name = "家庭年收入")
    private Double fincome;

    /** 收入来源 */
    @Excel(name = "收入来源")
    private String incomesource;

    /** 是否有社保 */
    @Excel(name = "是否有社保")
    private String socialinsurance;

    /** 是否投保其他保险公司 */
    @Excel(name = "是否投保其他保险公司")
    private String oipolicy;

    /** 其他保险公司 */
    @Excel(name = "其他保险公司")
    private String oicompany;

    /** 其他保险公司险种 */
    @Excel(name = "其他保险公司险种")
    private String oicproduct;

    /** 其他保险公司保额 */
    @Excel(name = "其他保险公司保额")
    private Double oiamount;

    /** 是否饮酒 */
    @Excel(name = "是否饮酒")
    private String drinking;

    /** 饮酒喜好 */
    @Excel(name = "饮酒喜好")
    private String dfavor;

    /** 是否保全 */
    @Excel(name = "是否保全")
    private String poservice;

    /** 缴费年期 */
    @Excel(name = "缴费年期")
    private Long payendyear;

    /** 保单质押贷款金额 */
    @Excel(name = "保单质押贷款金额")
    private Double loanmoney;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createdBy;

    /** 创建时间 */
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdTime;

    /** 更新人 */
    @Excel(name = "更新人")
    private String updatedBy;

    /** 更新时间 */
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedTime;

    public void setIaid(String iaid) 
    {
        this.iaid = iaid;
    }

    public String getIaid() 
    {
        return iaid;
    }
    public void setPolicyno(String policyno) 
    {
        this.policyno = policyno;
    }

    public String getPolicyno() 
    {
        return policyno;
    }
    public void setPano(String pano) 
    {
        this.pano = pano;
    }

    public String getPano() 
    {
        return pano;
    }
    public void setAgrmntage(String agrmntage) 
    {
        this.agrmntage = agrmntage;
    }

    public String getAgrmntage() 
    {
        return agrmntage;
    }
    public void setPbinst(String pbinst) 
    {
        this.pbinst = pbinst;
    }

    public String getPbinst() 
    {
        return pbinst;
    }
    public void setPwcomp(String pwcomp) 
    {
        this.pwcomp = pwcomp;
    }

    public String getPwcomp() 
    {
        return pwcomp;
    }
    public void setPindate(Date pindate) 
    {
        this.pindate = pindate;
    }

    public Date getPindate() 
    {
        return pindate;
    }
    public void setPmdate(Date pmdate) 
    {
        this.pmdate = pmdate;
    }

    public Date getPmdate() 
    {
        return pmdate;
    }
    public void setPisdate(Date pisdate) 
    {
        this.pisdate = pisdate;
    }

    public Date getPisdate() 
    {
        return pisdate;
    }
    public void setPadate(Date padate) 
    {
        this.padate = padate;
    }

    public Date getPadate() 
    {
        return padate;
    }
    public void setRenewaldate(Date renewaldate) 
    {
        this.renewaldate = renewaldate;
    }

    public Date getRenewaldate() 
    {
        return renewaldate;
    }
    public void setNorenewal(Long norenewal) 
    {
        this.norenewal = norenewal;
    }

    public Long getNorenewal() 
    {
        return norenewal;
    }
    public void setPolicytype(String policytype) 
    {
        this.policytype = policytype;
    }

    public String getPolicytype() 
    {
        return policytype;
    }
    public void setSchannel(String schannel) 
    {
        this.schannel = schannel;
    }

    public String getSchannel() 
    {
        return schannel;
    }
    public void setBsource(String bsource) 
    {
        this.bsource = bsource;
    }

    public String getBsource() 
    {
        return bsource;
    }
    public void setPolicystate(String policystate) 
    {
        this.policystate = policystate;
    }

    public String getPolicystate() 
    {
        return policystate;
    }
    public void setTopay(String topay) 
    {
        this.topay = topay;
    }

    public String getTopay() 
    {
        return topay;
    }
    public void setPayment(String payment) 
    {
        this.payment = payment;
    }

    public String getPayment() 
    {
        return payment;
    }
    public void setRisk(Double risk) 
    {
        this.risk = risk;
    }

    public Double getRisk() 
    {
        return risk;
    }
    public void setPrem(Double prem) 
    {
        this.prem = prem;
    }

    public Double getPrem() 
    {
        return prem;
    }
    public void setCurrency(String currency) 
    {
        this.currency = currency;
    }

    public String getCurrency() 
    {
        return currency;
    }
    public void setNpdate(Date npdate) 
    {
        this.npdate = npdate;
    }

    public Date getNpdate() 
    {
        return npdate;
    }
    public void setSoinsured(Long soinsured) 
    {
        this.soinsured = soinsured;
    }

    public Long getSoinsured() 
    {
        return soinsured;
    }
    public void setBsinsured(Double bsinsured) 
    {
        this.bsinsured = bsinsured;
    }

    public Double getBsinsured() 
    {
        return bsinsured;
    }
    public void setInsurvalue(Double insurvalue) 
    {
        this.insurvalue = insurvalue;
    }

    public Double getInsurvalue() 
    {
        return insurvalue;
    }
    public void setApplicantid(String applicantid) 
    {
        this.applicantid = applicantid;
    }

    public String getApplicantid() 
    {
        return applicantid;
    }
    public void setAppname(String appname) 
    {
        this.appname = appname;
    }

    public String getAppname() 
    {
        return appname;
    }
    public void setAppphone(String appphone) 
    {
        this.appphone = appphone;
    }

    public String getAppphone() 
    {
        return appphone;
    }
    public void setAppcertid(String appcertid) 
    {
        this.appcertid = appcertid;
    }

    public String getAppcertid() 
    {
        return appcertid;
    }
    public void setInsuredid(String insuredid) 
    {
        this.insuredid = insuredid;
    }

    public String getInsuredid() 
    {
        return insuredid;
    }
    public void setInsname(String insname) 
    {
        this.insname = insname;
    }

    public String getInsname() 
    {
        return insname;
    }
    public void setInsphone(String insphone) 
    {
        this.insphone = insphone;
    }

    public String getInsphone() 
    {
        return insphone;
    }
    public void setInscertid(String inscertid) 
    {
        this.inscertid = inscertid;
    }

    public String getInscertid() 
    {
        return inscertid;
    }
    public void setProductid(String productid) 
    {
        this.productid = productid;
    }

    public String getProductid() 
    {
        return productid;
    }
    public void setProductname(String productname) 
    {
        this.productname = productname;
    }

    public String getProductname() 
    {
        return productname;
    }
    public void setSalesperson(String salesperson) 
    {
        this.salesperson = salesperson;
    }

    public String getSalesperson() 
    {
        return salesperson;
    }
    public void setSpname(String spname) 
    {
        this.spname = spname;
    }

    public String getSpname() 
    {
        return spname;
    }
    public void setIaccount(String iaccount) 
    {
        this.iaccount = iaccount;
    }

    public String getIaccount() 
    {
        return iaccount;
    }
    public void setBranchcode(String branchcode) 
    {
        this.branchcode = branchcode;
    }

    public String getBranchcode() 
    {
        return branchcode;
    }
    public void setPolicybelong(String policybelong) 
    {
        this.policybelong = policybelong;
    }

    public String getPolicybelong() 
    {
        return policybelong;
    }
    public void setAgentchannel(String agentchannel) 
    {
        this.agentchannel = agentchannel;
    }

    public String getAgentchannel() 
    {
        return agentchannel;
    }
    public void setAgentorg(String agentorg) 
    {
        this.agentorg = agentorg;
    }

    public String getAgentorg() 
    {
        return agentorg;
    }
    public void setRegtype(String regtype) 
    {
        this.regtype = regtype;
    }

    public String getRegtype() 
    {
        return regtype;
    }
    public void setPincome(Double pincome) 
    {
        this.pincome = pincome;
    }

    public Double getPincome() 
    {
        return pincome;
    }
    public void setFincome(Double fincome) 
    {
        this.fincome = fincome;
    }

    public Double getFincome() 
    {
        return fincome;
    }
    public void setIncomesource(String incomesource) 
    {
        this.incomesource = incomesource;
    }

    public String getIncomesource() 
    {
        return incomesource;
    }
    public void setSocialinsurance(String socialinsurance) 
    {
        this.socialinsurance = socialinsurance;
    }

    public String getSocialinsurance() 
    {
        return socialinsurance;
    }
    public void setOipolicy(String oipolicy) 
    {
        this.oipolicy = oipolicy;
    }

    public String getOipolicy() 
    {
        return oipolicy;
    }
    public void setOicompany(String oicompany) 
    {
        this.oicompany = oicompany;
    }

    public String getOicompany() 
    {
        return oicompany;
    }
    public void setOicproduct(String oicproduct) 
    {
        this.oicproduct = oicproduct;
    }

    public String getOicproduct() 
    {
        return oicproduct;
    }
    public void setOiamount(Double oiamount) 
    {
        this.oiamount = oiamount;
    }

    public Double getOiamount() 
    {
        return oiamount;
    }
    public void setDrinking(String drinking) 
    {
        this.drinking = drinking;
    }

    public String getDrinking() 
    {
        return drinking;
    }
    public void setDfavor(String dfavor) 
    {
        this.dfavor = dfavor;
    }

    public String getDfavor() 
    {
        return dfavor;
    }
    public void setPoservice(String poservice) 
    {
        this.poservice = poservice;
    }

    public String getPoservice() 
    {
        return poservice;
    }
    public void setPayendyear(Long payendyear) 
    {
        this.payendyear = payendyear;
    }

    public Long getPayendyear() 
    {
        return payendyear;
    }
    public void setLoanmoney(Double loanmoney) 
    {
        this.loanmoney = loanmoney;
    }

    public Double getLoanmoney() 
    {
        return loanmoney;
    }
    public void setCreatedBy(String createdBy) 
    {
        this.createdBy = createdBy;
    }

    public String getCreatedBy() 
    {
        return createdBy;
    }
    public void setCreatedTime(Date createdTime) 
    {
        this.createdTime = createdTime;
    }

    public Date getCreatedTime() 
    {
        return createdTime;
    }
    public void setUpdatedBy(String updatedBy) 
    {
        this.updatedBy = updatedBy;
    }

    public String getUpdatedBy() 
    {
        return updatedBy;
    }
    public void setUpdatedTime(Date updatedTime) 
    {
        this.updatedTime = updatedTime;
    }

    public Date getUpdatedTime() 
    {
        return updatedTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("iaid", getIaid())
            .append("policyno", getPolicyno())
            .append("pano", getPano())
            .append("agrmntage", getAgrmntage())
            .append("pbinst", getPbinst())
            .append("pwcomp", getPwcomp())
            .append("pindate", getPindate())
            .append("pmdate", getPmdate())
            .append("pisdate", getPisdate())
            .append("padate", getPadate())
            .append("renewaldate", getRenewaldate())
            .append("norenewal", getNorenewal())
            .append("policytype", getPolicytype())
            .append("schannel", getSchannel())
            .append("bsource", getBsource())
            .append("policystate", getPolicystate())
            .append("topay", getTopay())
            .append("payment", getPayment())
            .append("risk", getRisk())
            .append("prem", getPrem())
            .append("currency", getCurrency())
            .append("npdate", getNpdate())
            .append("soinsured", getSoinsured())
            .append("bsinsured", getBsinsured())
            .append("insurvalue", getInsurvalue())
            .append("applicantid", getApplicantid())
            .append("appname", getAppname())
            .append("appphone", getAppphone())
            .append("appcertid", getAppcertid())
            .append("insuredid", getInsuredid())
            .append("insname", getInsname())
            .append("insphone", getInsphone())
            .append("inscertid", getInscertid())
            .append("productid", getProductid())
            .append("productname", getProductname())
            .append("salesperson", getSalesperson())
            .append("spname", getSpname())
            .append("iaccount", getIaccount())
            .append("branchcode", getBranchcode())
            .append("policybelong", getPolicybelong())
            .append("agentchannel", getAgentchannel())
            .append("agentorg", getAgentorg())
            .append("regtype", getRegtype())
            .append("pincome", getPincome())
            .append("fincome", getFincome())
            .append("incomesource", getIncomesource())
            .append("socialinsurance", getSocialinsurance())
            .append("oipolicy", getOipolicy())
            .append("oicompany", getOicompany())
            .append("oicproduct", getOicproduct())
            .append("oiamount", getOiamount())
            .append("drinking", getDrinking())
            .append("dfavor", getDfavor())
            .append("poservice", getPoservice())
            .append("payendyear", getPayendyear())
            .append("loanmoney", getLoanmoney())
            .append("createdBy", getCreatedBy())
            .append("createdTime", getCreatedTime())
            .append("updatedBy", getUpdatedBy())
            .append("updatedTime", getUpdatedTime())
            .toString();
    }
}
