package com.dgtis.data.service.mapper;

import com.dgtis.data.service.domain.InsuranceArrangement;
import java.util.List;

/**
 * 保单Mapper接口
 * 
 * @author dgtly
 * @date 2021-01-20
 */
public interface InsuranceArrangementMapper 
{
    /**
     * 查询保单
     * 
     * @param iaid 保单ID
     * @return 保单
     */
    public InsuranceArrangement selectInsuranceArrangementById(String iaid);

    /**
     * 查询保单列表
     * 
     * @param insuranceArrangement 保单
     * @return 保单集合
     */
    public List<InsuranceArrangement> selectInsuranceArrangementList(InsuranceArrangement insuranceArrangement);

    /**
     * 新增保单
     * 
     * @param insuranceArrangement 保单
     * @return 结果
     */
    public int insertInsuranceArrangement(InsuranceArrangement insuranceArrangement);

    /**
     * 修改保单
     * 
     * @param insuranceArrangement 保单
     * @return 结果
     */
    public int updateInsuranceArrangement(InsuranceArrangement insuranceArrangement);

    /**
     * 删除保单
     * 
     * @param iaid 保单ID
     * @return 结果
     */
    public int deleteInsuranceArrangementById(String iaid);

    /**
     * 批量删除保单
     * 
     * @param iaids 需要删除的数据ID
     * @return 结果
     */
    public int deleteInsuranceArrangementByIds(String[] iaids);

    int count();
}
